# Method: projects.locations.reportConfigs.get

Gets the inventory report configuration in a given project for a given location.

### HTTP request

`GET https://storageinsights.googleapis.com/v1/{name=projects/*/locations/*/reportConfigs/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. Name of the resource |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/storage/docs/insights/reference/rest/v1/projects.locations.reportConfigs#ReportConfig`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `storageinsights.reportConfigs.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).